List posts
curl --request GET \
--url https://api.creatorline.io/v1/clips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creatorline.io/v1/clips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatorline.io/v1/clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "clip",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"ratio": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"channels": [
"<string>"
],
"scheduled_for": "<string>",
"published_at": "<string>",
"created_at": 123,
"duration_sec": 123,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"channel_posts": [
{
"platform": "<string>",
"status": "<string>",
"url": "<string>",
"error": "<string>"
}
]
}
],
"has_more": true
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Missing or invalid API key."
},
"request_id": "req_8fQ2mRxK1pLd"
}Posts
List posts
GET
/
v1
/
clips
List posts
Authorizations
bearerAuthapiKeyHeader
Your organization's API key, from Settings → API. Authorization: Bearer crl_sk_live_…
Query Parameters
How many rows to return (1-100).
Required range:
1 <= x <= 100Only rows belonging to this creator.
Available options:
pending_review, approved, scheduled, published, failed, rejected ⌘I